ALTER TABLE internship_plan_manage
    ADD COLUMN `internship_site_type` varchar(15) NOT NULL COMMENT '实习场所类型',
    ADD COLUMN `training_base_number` VARCHAR(255) COMMENT '实训基地编号',
    ADD COLUMN `academic_year`        VARCHAR(64) COMMENT '学年';

alter table base_classroom
    modify create_date datetime null comment '创建时间';

alter table base_classroom
    modify modify_date datetime null comment '修改时间';

ALTER TABLE patrol_offline_courses
    ADD sort_code     int         NULL COMMENT '序号',
    ADD academic_year VARCHAR(20) NOT NULL COMMENT '排课号，学校自编',
    ADD week_num      VARCHAR(10) NOT NULL COMMENT '周次，上课当前周，例如第十周：10',
    ADD week_day      VARCHAR(3)  NOT NULL COMMENT '星期几';

ALTER TABLE patrol_offline_courses
    ADD lessons_num VARCHAR(5) NOT NULL COMMENT '上课节次，本节课连续上课节次，例如一到二节：1-2；一到四节：1-4';

ALTER TABLE student_cert_table
    ADD name VARCHAR(30) NOT NULL COMMENT '学生姓名';

ALTER TABLE plan_course_manage
    ADD COLUMN `semester_code` varchar(15) not null COMMENT '学期编号',
    ADD COLUMN `academic_year` VARCHAR(64) COMMENT '学年';

ALTER TABLE faculty_assess
    ADD teacher_name_t          VARCHAR(36) NOT NULL COMMENT '考核教师姓名',
    ADD assess_person_name      VARCHAR(36) NOT NULL COMMENT '考核负责人姓名',
    ADD assess_person_username  VARCHAR(20) NOT NULL COMMENT '考核负责人工号',
    ADD assess_unit_number      VARCHAR(10) NOT NULL COMMENT '教职工考核单位号，学校自编',
    ADD `xjr_department_name_t` varchar(60) NOT NULL COMMENT '考核部门';


DROP TABLE IF EXISTS base_digital_resources;
CREATE TABLE IF NOT EXISTS base_digital_resources
(
    id                bigint       not null comment '主键编号'
        primary key,
    create_user_id    bigint       null comment '创建人',
    create_date       datetime     null comment '创建时间',
    modify_user_id    bigint       null comment '修改人',
    modify_date       datetime     null comment '修改时间',
    delete_mark       int          not null comment '删除标记',
    enabled_mark      int          not null comment '有效标志',
    sort_code         int          null comment '序号',

    resourse_name     varchar(300) not null comment '资源名称',
    resourse_code     varchar(100) not null comment '资源编号',
    major_code        varchar(50)  null comment '所属专业号',
    teacher_code      varchar(50)  null comment '资源负责人号',
    resourse_level    varchar(2)   null comment '资源级别码',
    resourse_type     varchar(15)  null comment '资源类型码',
    teaching_platform varchar(2)   null comment '国家智慧教学平台资源类型码',
    resourse_create   datetime     null comment '资源创建时间',
    resourse_update   datetime     null comment '资源更新时间',
    course_code       varchar(20)  null comment '关联课程号'
) ENGINE = innodb
  DEFAULT CHARSET = utf8mb4 COMMENT '数字资源';

ALTER TABLE class_time
    ADD COLUMN `delete_mark` INT NOT NULL COMMENT '删除标记',
    ADD COLUMN `enabled_mark` INT NOT NULL COMMENT '有效标志';     ALTER TABLE course_table
    ADD COLUMN `delete_mark` INT NOT NULL COMMENT '删除标记',
    ADD COLUMN `enabled_mark` INT NOT NULL COMMENT '有效标志';

ALTER TABLE base_digital_resources ADD major_name VARCHAR(30) NULL COMMENT '面向专业名';
